# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           jsch
Version:        0.1.49
Release:        %mkrel 2
Epoch:          0
Summary:        Pure Java implementation of SSH2
Group:          Development/Java
License:        BSD
URL:            http://www.jcraft.com/jsch/
Source0:        http://download.sourceforge.net/sourceforge/jsch/jsch-%{version}.zip
# wget \
# http://download.eclipse.org/tools/orbit/downloads/drops/R20090825191606/bundles/com.jcraft.jsch_0.1.41.v200903070017.jar
# unzip com.jcraft.jsch_*.jar META-INF/MANIFEST.MF
# mv META-INF/MANIFEST.MF .
# sed -i "/^Name/d" MANIFEST.MF
# sed -i "/^SHA1/d" MANIFEST.MF
# dos2unix MANIFEST.MF
# sed -i "/^$/d" MANIFEST.MF
# unix2dos MANIFEST.MF
Source1:        MANIFEST.MF
Source2:        plugin.properties
Source3:        http://repo1.maven.org/maven2/com/jcraft/%{name}/%{version}/%{name}-%{version}.pom
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  java-devel >= 1.4.2
BuildRequires:  jzlib >= 0:1.0.5
BuildRequires:  ant
BuildRequires:  zip

BuildArch:      noarch

Requires:       jzlib >= 0:1.0.5
Requires:       jpackage-utils

%description
JSch allows you to connect to an sshd server and use port forwarding, 
X11 forwarding, file transfer, etc., and you can integrate its 
functionality into your own Java programs.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Java

%description    demo
%{summary}.


%prep
%setup -q

%build
export CLASSPATH=$(build-classpath jzlib)
ant dist javadoc 

# inject the OSGi Manifest
mkdir META-INF
cp %{SOURCE1} META-INF
cp %{SOURCE2} plugin.properties
zip dist/lib/%{name}-*.jar META-INF/MANIFEST.MF
zip dist/lib/%{name}-*.jar plugin.properties

%install
# jars
install -Dpm 644 dist/lib/%{name}-*.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# examples
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name}

# POM and depmap
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

%files
%{_javadir}/*.jar
%doc LICENSE.txt
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc %{_javadocdir}/%{name}*
%doc LICENSE.txt

%files demo
%doc %{_datadir}/%{name}*
%doc LICENSE.txt



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0:0.1.49-2.mga4
+ Revision: 529749
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 0:0.1.49-1.mga4
+ Revision: 453169
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0:0.1.48-4.mga3
+ Revision: 355600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0:0.1.48-3.mga3
+ Revision: 324934
- Add maven POM

* Thu Jul 05 2012 dmorgan <dmorgan> 0:0.1.48-2.mga3
+ Revision: 268222
- New release 0.1.48

* Fri Jan 06 2012 dmorgan <dmorgan> 0:0.1.45-1.mga2
+ Revision: 192151
- New version 0.1.45

* Sun Dec 25 2011 dmorgan <dmorgan> 0:0.1.44-2.mga2
+ Revision: 187552
- Rebuild for OSGi provides.

* Mon Mar 07 2011 dmorgan <dmorgan> 0:0.1.44-1.mga1
+ Revision: 65822
- New version ( sync with fedora )

* Sat Jan 15 2011 mikala <mikala> 0:0.1.41-0.0.2.mga1
+ Revision: 18460
- imported package jsch


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:0.1.41-0.0.2mdv2011.0
+ Revision: 606115
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:0.1.41-0.0.1mdv2010.1
+ Revision: 523131
- rebuilt for 2010.1

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0:0.1.41-0.0.0mdv2009.1
+ Revision: 332740
- New upstream release

* Mon Oct 20 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.1.40-0.0.0mdv2009.1
+ Revision: 295825
- 0.1.40

* Wed Jul 30 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.1.39-1.1.1mdv2009.0
+ Revision: 255169
- update OSGI manifest for the new eclipse

* Fri Jun 13 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.1.39-0.0.1mdv2009.0
+ Revision: 218741
- new version 0.1.39 and disable gcj compile

* Wed Apr 23 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.1.38-0.0.1mdv2009.0
+ Revision: 196798
- new version

* Tue Jan 22 2008 David Walluck <walluck@mandriva.org> 0:0.1.37-0.0.1mdv2008.1
+ Revision: 156080
- BuildRequires: zip
- remove %%ghost references
- compile demos
- reference jar by name when building/installing
- 0.1.37

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Fri Nov 02 2007 David Walluck <walluck@mandriva.org> 0:0.1.36-0.0.1mdv2008.1
+ Revision: 105307
- 0.1.36

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:0.1.34-0.0.2mdv2008.0
+ Revision: 87442
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Wed Aug 29 2007 David Walluck <walluck@mandriva.org> 0:0.1.34-0.0.1mdv2008.0
+ Revision: 74718
- 0.1.34

* Wed Aug 08 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1.0.2mdv2008.0
+ Revision: 60577
- match eclipse jsch version in manifest

* Fri Jul 27 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1.0.1mdv2008.0
+ Revision: 56260
- fix Bundle-Version in MANIFEST.MF
- add MANIFEST.MF for eclipse

* Fri May 11 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1mdv2008.0
+ Revision: 26412
- 0.1.33


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 0.1.32-1mdv2007.1
+ Revision: 134928
- 0.1.32

* Wed Jan 17 2007 David Walluck <walluck@mandriva.org> 0:0.1.31-1mdv2007.1
+ Revision: 110012
- 0.1.31

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0:0.1.30-1mdv2007.1
+ Revision: 75109
- 0.1.30
- Import jsch

* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:0.1.29-1mdv2007.0
- 0.1.29

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:0.1.28-2mdv2007.0
- rebuild for libgcj.so.7

* Sat May 06 2006 David Walluck <walluck@mandriva.org> 0:0.1.28-1mdk
- 0.1.28

* Thu Apr 20 2006 David Walluck <walluck@mandriva.org> 0:0.1.27-1mdk
- 0.1.27
- aot compile

* Sat Apr 01 2006 David Walluck <walluck@mandriva.org> 0:0.1.26-1mdk
- 0.1.26

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.1.25-1mdk
- New release 0.1.25

* Tue Jan 17 2006 David Walluck <walluck@mandriva.org> 0:0.1.24-2mdk
- BuildRequires: ant, java-devel

* Sat Jan 14 2006 David Walluck <walluck@mandriva.org> 0:0.1.24-1mdk
- 0.1.24

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:0.1.20-1.1mdk
- release

* Sat Apr 23 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.20-1jpp
- 0.1.20

* Sat Apr 23 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.18-1jpp
- 0.1.18

* Tue Nov 02 2004 David Walluck <david@jpackage.org> 0:0.1.17-2jpp
- rebuild with jdk 1.4.2

* Wed Oct 20 2004 David Walluck <david@jpackage.org> 0:0.1.17-1jpp
- 0.1.17

* Tue Aug 24 2004 Randy Watler <rwatler at finali.com> - 0:0.1.13-2jpp
- Rebuild with ant-1.6.2

